> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Setup Flow link

> Create a link that lets your customer run the [Setup Flow](/hris/features/setup-flow/introduction) for an integration. Use this to send customers back into setup steps like field mapping or employee filtering without having to go through the initial connection flow again. Pass the returned URL to `showKomboConnect` from the Kombo Connect SDK, the same way you do with a connection link.

The integration must have at least one Setup Flow step enabled (e.g. field mapping or employee filtering); otherwise this endpoint returns a `PLATFORM.INPUT_INVALID` error. Steps can be enabled from the Integration Settings tab in the dashboard or via the [Create Connection Link endpoint](./post-connect-create-link).


## OpenAPI

````yaml POST /integrations/{integration_id}/setup-link
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /integrations/{integration_id}/setup-link:
    post:
      tags:
        - General
      summary: Create Setup Flow link
      description: >-
        Create a link that lets your customer run the [Setup
        Flow](/hris/features/setup-flow/introduction) for an integration. Use
        this to send customers back into setup steps like field mapping or
        employee filtering without having to go through the initial connection
        flow again. Pass the returned URL to `showKomboConnect` from the Kombo
        Connect SDK, the same way you do with a connection link.


        The integration must have at least one Setup Flow step enabled (e.g.
        field mapping or employee filtering); otherwise this endpoint returns a
        `PLATFORM.INPUT_INVALID` error. Steps can be enabled from the
        Integration Settings tab in the dashboard or via the [Create Connection
        Link endpoint](./post-connect-create-link).
      operationId: PostIntegrationsIntegrationIdSetupLink
      parameters:
        - name: integration_id
          in: path
          required: true
          description: POST /integrations/:integration_id/setup-link Parameter
          schema:
            $ref: >-
              #/components/schemas/PostIntegrationsIntegrationIdSetupLinkParameterIntegrationId
          examples:
            example1:
              value: personio:93fCvorjZ2jas7ZekX1V1n5d
      requestBody:
        description: POST /integrations/:integration_id/setup-link Request body
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/PostIntegrationsIntegrationIdSetupLinkRequestBody
            examples:
              example1:
                value:
                  language: en
                  link_type: EMBEDDED
      responses:
        '200':
          description: POST /integrations/:integration_id/setup-link Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PostIntegrationsIntegrationIdSetupLinkPositiveResponse
        default:
          $ref: '#/components/responses/ErrorResponseGeneral'
      x-codeSamples:
        - lang: python
          label: PostIntegrationsIntegrationIdSetupLink
          source: |-
            from kombo import Kombo


            with Kombo(
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.general.create_setup_link(integration_id="personio:93fCvorjZ2jas7ZekX1V1n5d", link_type="EMBEDDED", language="en")

                # Handle response
                print(res)
        - lang: typescript
          label: PostIntegrationsIntegrationIdSetupLink
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.general.createSetupLink({
                integration_id: "personio:93fCvorjZ2jas7ZekX1V1n5d",
                body: {
                  link_type: "EMBEDDED",
                },
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: PostIntegrationsIntegrationIdSetupLink
          source: >-
            require 'kombo'


            Models = ::Kombo::Models

            s = ::Kombo::Kombo.new(
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )

            res = s.general.create_setup_link(integration_id:
            'personio:93fCvorjZ2jas7ZekX1V1n5d', body:
            Models::Shared::PostIntegrationsIntegrationIdSetupLinkRequestBody.new(
              link_type: Models::Shared::PostIntegrationsIntegrationIdSetupLinkRequestBodyLinkType::EMBEDDED
            ))


            unless
            res.post_integrations_integration_id_setup_link_positive_response.nil?
              # handle response
            end
components:
  schemas:
    PostIntegrationsIntegrationIdSetupLinkParameterIntegrationId:
      type: string
    PostIntegrationsIntegrationIdSetupLinkRequestBody:
      type: object
      properties:
        language:
          type:
            - string
            - 'null'
          enum:
            - en
            - de
            - fr
            - it
            - es
          default: en
          description: Language of the setup flow UI.
        link_type:
          type: string
          enum:
            - EMBEDDED
            - MAGIC_LINK
          description: >-
            The type of link you want to create. `EMBEDDED` is for the [embedded
            flow](../guides/connect/embedded-flow) using the Kombo Connect SDK
            (these links are valid for 1 hour) and `MAGIC_LINK` is for [magic
            links](../guides/connect/magic-links) which you send out manually to
            customers (these are valid for 1 year).
      required:
        - link_type
    PostIntegrationsIntegrationIdSetupLinkPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            link:
              type: string
              format: uri
              description: The setup link URL to pass to the Kombo Connect SDK.
          required:
            - link
      required:
        - status
        - data
  responses:
    ErrorResponseGeneral:
      description: The standard error response with just the platform error codes.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                    example: PLATFORM.RATE_LIMIT_EXCEEDED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````